import request from '@/utils/request'

// 查询MES接口日志列表
export function listPortLog(query) {
  return request({
    url: '/system/portLog/list',
    method: 'get',
    params: query
  })
}

// 查询MES接口日志详细
export function getPortLog(objId) {
  return request({
    url: '/system/portLog/' + objId,
    method: 'get'
  })
}

// 新增MES接口日志
export function addPortLog(data) {
  return request({
    url: '/system/portLog',
    method: 'post',
    data: data
  })
}

// 修改MES接口日志
export function updatePortLog(data) {
  return request({
    url: '/system/portLog',
    method: 'put',
    data: data
  })
}

// 删除MES接口日志
export function delPortLog(objId) {
  return request({
    url: '/system/portLog/' + objId,
    method: 'delete'
  })
}
